<template>
  <v-container>
    <v-row justify="center">
      <v-col sm="12" md="5">
        <v-card outlined>
          <v-card-text>
            <v-row justify="center">
              <v-col class="text-center">
                <span class="headline">JOIN</span>
              </v-col>
            </v-row>
            <signup-form/>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapGetters } from 'vuex'
import SignupForm from '@/components/Shared/Auth/Signup'
import { isNil } from 'lodash'

export default {
  components: {
    SignupForm,
  },
  computed: {
    ...mapGetters('authentication', ['isUserLoggedIn'])
  },
  watch: {
    user: {
      handler(user) {
        if (!isNil(user)) {
          const redirectUrl = isNil(this.$route.query.redirectUrl)
            ? '/'
            : this.$route.query.redirectUrl
          this.$router.push(redirectUrl)
        }
      },
      immediate: true
    }
  },
  mounted() {
    if (this.isUserLoggedIn) {
      this.$router.push('/dashboard')
    }
  },
  beforeDestroy() {
    this.$store.dispatch('authentication/clearAuthErrors')
  },
}
</script>

<style lang="scss" scoped>
@import '@/sass/variables.scss';

.page-wrapper {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
</style>
